/*
 * Copyright 2024, My Name <my@email.address>
 * All rights reserved. Distributed under the terms of the MIT license.
 */
#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <MenuItem.h>
#include <TextControl.h>
#include <TextView.h>
#include <StatusBar.h>
#include <Window.h>


//From private headers !
//#include "/boot/system/develop/headers/private/netservices2/HttpRequest.h"
//#include "/boot/system/develop/headers/private/netservices2/ErrorsExt.h"
//#include <ErrorsExt.h>
#include <NetServicesDefs.h>
#include <HttpSession.h>
#include <HttpRequest.h>
#include <HttpResult.h>



using namespace BPrivate::Network;

class MainWindow : public BWindow {
public:
  MainWindow();
  virtual ~MainWindow();

  virtual void MessageReceived(BMessage *msg);

  void 	sendQuery();

private:
  BMenuBar *_BuildMenu();
  BHttpSession _sharedSession;
  BTextView * _answerView;
  BTextControl* _inputField;
  BStatusBar* _progress;
  BMenuItem *fSaveMenuItem;
};

#endif
